#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <brlcad/ConstDatabase.h>
#include <QMainWindow>
#include <QListWidget>
#include <QLabel>


namespace Ui {
class MainWindow;
}


class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
	void loadDatabase(const char *fileName);
	void closeDatabase();
	void quit();

private:
	void setDatabaseName(const char*);
	void setInterfaceVisible(bool);
	void initMenu(void);
	void openFileDialog(void);
	void onObjectClicked(QListWidgetItem*);
	void rayTrace(const char *object);
	void rayTraceSelectedListItem();
	std::vector<const char*> loadTopLevelObjects(void);

	BRLCAD::ConstDatabase *database;
	QListWidget *objectListWidget;
	QAction *actionOpen, *actionClose, *actionQuit;
	QLabel *mainDisplayWidget;
};

#endif // MAINWINDOW_H
